com.genesyslab.wfm8.API.service.config812

## Class CfgCarpool

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgCarpool

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgCarpool
      extends java.lang.Object
      implements java.io.Serializable

  Carpool information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks point in time when Object information was obtained
    `protected boolean` | `wmBus` Indicates whether carpool is a "bus" or not.
    `protected java.util.List<CfgCarpoolAgent>` | `wmCarpoolAgents` A list of agents (`CfgCarpoolAgent`) in carpool (including "committed", "pending" and "declined")
    `protected int` | `wmCarpoolAgentsNSizeIs` Number of elements in wmCarpoolAgents array
    `protected int` | `wmCarpoolId` Carpool ID
    `protected int` | `wmCarpoolSize` Number of committed agents in carpool
    `protected java.lang.String` | `wmComments` Carpool comments
    `protected int` | `wmMaxCarpoolSize` Maximum number of committed agents in carpool
    `protected java.lang.String` | `wmName` Carpool name (must be unique with the same Site)
    `protected int` | `wmSiteId` Site ID that Carpool belongs to
    `protected int` | `wmStatus` Carpool status (`ECfgCarpoolStatus`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgCarpool()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<CfgCarpoolAgent>` | `getWmCarpoolAgents()` Gets the value of the wmCarpoolAgents property.
    `int` | `getWmCarpoolAgentsNSizeIs()` Gets the value of the wmCarpoolAgentsNSizeIs property.
    `int` | `getWmCarpoolId()` Gets the value of the wmCarpoolId property.
    `int` | `getWmCarpoolSize()` Gets the value of the wmCarpoolSize property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `int` | `getWmMaxCarpoolSize()` Gets the value of the wmMaxCarpoolSize property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `hashCode()`
    `boolean` | `isWmBus()` Gets the value of the wmBus property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBus(boolean value)` Sets the value of the wmBus property.
    `void` | `setWmCarpoolAgents(java.util.List<CfgCarpoolAgent> wmCarpoolAgents)` Sets the value of the wmCarpoolAgents property.
    `void` | `setWmCarpoolAgentsNSizeIs(int value)` Sets the value of the wmCarpoolAgentsNSizeIs property.
    `void` | `setWmCarpoolId(int value)` Sets the value of the wmCarpoolId property.
    `void` | `setWmCarpoolSize(int value)` Sets the value of the wmCarpoolSize property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmMaxCarpoolSize(int value)` Sets the value of the wmMaxCarpoolSize property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `java.lang.String` | `toString()`
    `CfgCarpool` | `withTimestamp(long value)`
    `CfgCarpool` | `withWmBus(boolean value)`
    `CfgCarpool` | `withWmCarpoolAgents(CfgCarpoolAgent... values)`
    `CfgCarpool` | `withWmCarpoolAgents(java.util.Collection<CfgCarpoolAgent> values)`
    `CfgCarpool` | `withWmCarpoolAgentsNSizeIs(int value)`
    `CfgCarpool` | `withWmCarpoolId(int value)`
    `CfgCarpool` | `withWmCarpoolSize(int value)`
    `CfgCarpool` | `withWmComments(java.lang.String value)`
    `CfgCarpool` | `withWmMaxCarpoolSize(int value)`
    `CfgCarpool` | `withWmName(java.lang.String value)`
    `CfgCarpool` | `withWmSiteId(int value)`
    `CfgCarpool` | `withWmStatus(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmCarpoolId

          protected int wmCarpoolId

      Carpool ID

    - #### wmSiteId

          protected int wmSiteId

      Site ID that Carpool belongs to

    - #### wmName

          protected java.lang.String wmName

      Carpool name (must be unique with the same Site)

    - #### wmStatus

          protected int wmStatus

      Carpool status (`ECfgCarpoolStatus`)

    - #### wmComments

          protected java.lang.String wmComments

      Carpool comments

    - #### wmMaxCarpoolSize

          protected int wmMaxCarpoolSize

      Maximum number of committed agents in carpool

    - #### wmBus

          protected boolean wmBus

      Indicates whether carpool is a "bus" or not. "Bus" means that carpool is not agent initiated and is managed by supervisor only

    - #### wmCarpoolSize

          protected int wmCarpoolSize

      Number of committed agents in carpool

    - #### wmCarpoolAgentsNSizeIs

          protected int wmCarpoolAgentsNSizeIs

      Number of elements in wmCarpoolAgents array

    - #### wmCarpoolAgents

          protected java.util.List<CfgCarpoolAgent> wmCarpoolAgents

      A list of agents (`CfgCarpoolAgent`) in carpool (including "committed", "pending" and "declined")

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgCarpool

          public CfgCarpool()

  - ### Method Detail

    - #### getWmCarpoolId

          public int getWmCarpoolId()

      Gets the value of the wmCarpoolId property.

    - #### setWmCarpoolId

          public void setWmCarpoolId(int value)

      Sets the value of the wmCarpoolId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmCarpoolSize

          public int getWmCarpoolSize()

      Gets the value of the wmCarpoolSize property.

    - #### setWmCarpoolSize

          public void setWmCarpoolSize(int value)

      Sets the value of the wmCarpoolSize property.

    - #### getWmMaxCarpoolSize

          public int getWmMaxCarpoolSize()

      Gets the value of the wmMaxCarpoolSize property.

    - #### setWmMaxCarpoolSize

          public void setWmMaxCarpoolSize(int value)

      Sets the value of the wmMaxCarpoolSize property.

    - #### isWmBus

          public boolean isWmBus()

      Gets the value of the wmBus property.

    - #### setWmBus

          public void setWmBus(boolean value)

      Sets the value of the wmBus property.

    - #### getWmCarpoolAgentsNSizeIs

          public int getWmCarpoolAgentsNSizeIs()

      Gets the value of the wmCarpoolAgentsNSizeIs property.

    - #### setWmCarpoolAgentsNSizeIs

          public void setWmCarpoolAgentsNSizeIs(int value)

      Sets the value of the wmCarpoolAgentsNSizeIs property.

    - #### getWmCarpoolAgents

          public java.util.List<CfgCarpoolAgent> getWmCarpoolAgents()

      Gets the value of the wmCarpoolAgents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmCarpoolAgents property.

      For example, to add a new item, do as follows:

              getWmCarpoolAgents().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgCarpoolAgent`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmCarpoolId

          public CfgCarpool withWmCarpoolId(int value)

    - #### withWmSiteId

          public CfgCarpool withWmSiteId(int value)

    - #### withWmName

          public CfgCarpool withWmName(java.lang.String value)

    - #### withWmStatus

          public CfgCarpool withWmStatus(int value)

    - #### withWmComments

          public CfgCarpool withWmComments(java.lang.String value)

    - #### withWmCarpoolSize

          public CfgCarpool withWmCarpoolSize(int value)

    - #### withWmMaxCarpoolSize

          public CfgCarpool withWmMaxCarpoolSize(int value)

    - #### withWmBus

          public CfgCarpool withWmBus(boolean value)

    - #### withWmCarpoolAgentsNSizeIs

          public CfgCarpool withWmCarpoolAgentsNSizeIs(int value)

    - #### withWmCarpoolAgents

          public CfgCarpool withWmCarpoolAgents(CfgCarpoolAgent... values)

    - #### withWmCarpoolAgents

          public CfgCarpool withWmCarpoolAgents(java.util.Collection<CfgCarpoolAgent> values)

    - #### withTimestamp

          public CfgCarpool withTimestamp(long value)

    - #### setWmCarpoolAgents

          public void setWmCarpoolAgents(java.util.List<CfgCarpoolAgent> wmCarpoolAgents)

      Sets the value of the wmCarpoolAgents property.
      Parameters:
        `wmCarpoolAgents` - allowed object is `CfgCarpoolAgent`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.